Notizie: scarica ora l'ultima versione disponibile di Firefox!

Autore Topic: Estensioni obsolete con nuova versione di Firefox  (Letto 3522 volte)

0 Utenti e 1 Visitatore stanno visualizzando questo topic.

Offline gagliaudo

  • Post: 792
    • A 12 Stelle
Estensioni obsolete con nuova versione di Firefox
« il: 16 Agosto 2017 23:00:32 »
Ciao a tutti!

Chiedo cortesemente a chi è più esperto di me e di tanti altri come me di dare una risposta chiara ad una semplice domanda:

con Firefox 55.x (io usa la ver a 64b) molte estensioni (nel mio caso tutte) sono state marcate come obsolete e quindi inutilizzabili.

Gioxx ha consigliato di operare così:
Ora cerca la voce extensions.allow-non-mpc-extensions, e impostala a true, contrariamente a quanto presente di default (false, per ovvi motivi)

A dir la verità io l'avevo già a true questa voce e comunque le estensioni non si riattivano tutte.

E comunque per molte di esse rimane la targhetta gialla OBSOLETA.

Cosa fare?  :?

Tornare alla versione 54?

Andare all'ultima versione ESR disponibile?

Aspettare gli eventi?

Grazie, Paolo.
 :sbat:
« Ultima modifica: 16 Agosto 2017 23:39:14 da gagliaudo »

Offline Winfox

  • Post: 4071
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #1 il: 17 Agosto 2017 09:20:27 »
Sei sicuro che non funzionano? Le mie marcate come incompatibili col multiprocesso in realtà funzionano dato che non ho attivato il multiprocesso.

Offline miki64

  • Moderatore
  • Post: 32880
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #2 il: 17 Agosto 2017 09:37:38 »
Andare all'ultima versione ESR disponibile?
Io farei proprio così.   ;)

Offline p060477

  • Post: 1675
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #3 il: 17 Agosto 2017 13:17:35 »
Sei sicuro che non funzionano? Le mie marcate come incompatibili col multiprocesso in realtà funzionano dato che non ho attivato il multiprocesso.

..per ora funzionano..ma..dalla prossima vers 57
non credo proprio...
:(

Offline Winfox

  • Post: 4071
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #4 il: 17 Agosto 2017 19:38:39 »
..per ora funzionano..ma..dalla prossima vers 57
non credo proprio

Caro mio siamo tutti sulla stessa barca: a novembre ne succederanno delle belle.....

Offline gagliaudo

  • Post: 792
    • A 12 Stelle
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #5 il: 18 Agosto 2017 01:25:15 »
grazie a tutti!

Offline luigi?

  • Post: 555
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #6 il: 18 Agosto 2017 23:40:10 »
..per ora funzionano..ma..dalla prossima vers 57
non credo proprio

Caro mio siamo tutti sulla stessa barca: a novembre ne succederanno delle belle.....

Non so cosa succederà a novembre, ma ho appena "aggiornato" firefox a 64 bit perché con il 32 tutte le estensione erano segnate come OBSOLETE!!!....peccato che, pur funzionando, anche con il 64 lo sono ancora   :shock: :D
Notte.   :fx:
Luigi

Offline deckard

  • Post: 3182
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #7 il: 19 Agosto 2017 10:30:27 »
La voce extensions.allow-non-mpc-extensions riguarda, se capisco correttamente, le estensioni non compatibili con il multiprocesso.
Poi in Firefox 57 non funzioneranno i componenti aggiuntivi che non saranno webext oltre a quelli che non funzionano con E10s.
C'è la possibilità di utilizzare componenti aggiuntivi Legacy in Firefox Nightly 57 (ignoro se ci sarà nelle versioni beta e stabili di Firefox 57 o nelle successive Nighlies) impostando la preferenza extensions.legacy.enabled a true.
Vi sono varie possibilità per adoperare i componenti aggiuntivi LEGACY dopo il rilascio di Firefox 57.
Adoperare Firefox 56 bloccando gli aggiornamenti è tecnicamente possibile, ma non lo consiglio in quanto si tratta di adoperare una versione dopo la fine del periodo in cui è supportata.
Adoperare Firefox 52 ESR finché è supportata va bene, ma sposta il problema a Giugno 2018.
Adoperare Pale Moon e Waterfox sono due alternative possibili, ma qui NON forniamo supporto a tali programmi.

Post scriptum:
Avere aggiornato Firefox a 64 bit non influisce sul fatto che i componenti aggiuntivi scritti con le XUL/XPCOM Api siano Legacy (a differenza delle Webextensions compatibili con E10s) oppure no.
Cioè in un cero senso Legacy equivale a versione “retrodatata” (ereditata e che potrebbe e dovrebbe diventare un “lascito del passato”).
« Ultima modifica: 19 Agosto 2017 11:04:35 da deckard »

Offline miki64

  • Moderatore
  • Post: 32880
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #8 il: 19 Agosto 2017 15:13:29 »
Adoperare Firefox 52 ESR finché è supportata va bene, ma sposta il problema a Giugno 2018.
Non è poco, caro il mio Deckard.
In un anno si possono poi giocare tutte le carte per riemergere, cosa che io spero, o per accettare definitivamente l'inesattezza delle proprie scelte.

Offline deckard

  • Post: 3182
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #9 il: 19 Agosto 2017 22:34:28 »
Lascia l'ascia di guerra e accetta l'accetta -- Jacovitti, se non erro.

 :fischio: In circa dieci mesi di tempo possono succedere tante cose anche a utilità dell'utenza e non solo a beneficio delle Software House e delle Corporation...  :fischio:  8) anche l'arrivo di Morte, Guerra, Carestia e Inquinamento (che ha sostituito Pestilenza) che sono i quattro Cavalieri/Motociclisti dell'Apocalisse nel romanzo “Buona Apocalisse a tutti!” di Terry Pratchett e Neil Gaiman.  8)

Citazione
Lasciate ogne speranza, voi ch' entrate.

Offline p060477

  • Post: 1675
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #10 il: 20 Agosto 2017 17:00:07 »
da quel poco che ho capito con ff 57 vers stabile NON si potranno piu' adoperare add ons legacy...
..spero di aver capito bene..
anche se mi augurerei di no...
:(

Offline Underpass

  • I've got fabric to sell
  • Amministratore
  • Post: 24573
    • Mozilla Italia
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #11 il: 20 Agosto 2017 17:13:41 »
da quel poco che ho capito con ff 57 vers stabile NON si potranno piu' adoperare add ons legacy...

Corretto. Gli autori hanno alcuni mesi per aggiornare le loro estensioni. Diverse estensioni spariranno, purtroppo. Altre resteranno.

Offline michro

  • Moderatore
  • Post: 20989
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #12 il: 20 Agosto 2017 18:30:37 »
Diverse estensioni spariranno, purtroppo. Altre resteranno.
e con mio grande rammarico sparirà l'unica estensione di cui non ho mai potuto fare a meno per la sua praticità, ProfileSwitcher del nostro @klades :cry:
Non so come andrà a finire con Clippings anch'essa segnalata già come obsoleta e per me fondamentale soprattutto per il supporto in questo nostro forum... Spero che lo sviluppatore l'aggiorni.

Offline p060477

  • Post: 1675
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #13 il: 20 Agosto 2017 20:31:10 »
speriamo che anche Klades aggiorni..!!
;)

Offline miki64

  • Moderatore
  • Post: 32880
Re: Estensioni obsolete con nuova versione di Firefox
« Risposta #14 il: 20 Agosto 2017 22:26:41 »
@p060477: inutile sperare, non sembra per nulla intenzionato a tornare sui suoi passi. Dispiace anche a me, non l'ho mai scritto ma utilizzavo sin dalla notte dei tempi quell'estensione anche io su Firefox.  :(
Piuttosto ho un terrore costante e prima o poi lo affronterò in altro topic, spero di sbagliarmi ma non voglio anticiparvi nulla.  :(

0 Utenti e 1 Visitatore stanno visualizzando questo topic.